Update Listing: Propertyware
https://api.propexo.com/v1/listings/propertyware/:listing_id| Method |
|---|
| updateUnit |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the listing
Request
This endpoint expects an object.
The date the unit is available.
The number of bathrooms in the unit
The number of bedrooms in the unit
The name of the building
The city associated with the listing
The country associated with the listing
The deposit amount in cents
The floor the unit is on
Whether the unit is available for rent
Whether the unit is vacant
The lease term
Additional notes about the unit
The rent amount in cents
The state associated with the listing
The first address line associated with the listing
The second address line associated with the listing
The zip code associated with the listing
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the listing
The date the unit is available.
The number of bathrooms in the unit
The number of bedrooms in the unit
The name of the building
The city associated with the listing
The country associated with the listing
The deposit amount in cents
The floor the unit is on
Whether the unit is available for rent
Whether the unit is vacant
The lease term
Additional notes about the unit
The rent amount in cents
The state associated with the listing
The first address line associated with the listing
The second address line associated with the listing
The zip code associated with the listing
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/listings/propertyware/:listing_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"available_date": "2024-07-29T15:51:28.071Z",
"bathrooms": "string",
"bedrooms": "string",
"building_name": "string",
"city": "string",
"country": "string",
"deposit_amount_in_cents": 0,
"floor": "string",
"is_available": true,
"is_vacant": true,
"lease_term": "string",
"notes": "string",
"rent_amount_in_cents": 0,
"state": "string",
"street_address_1": "string",
"street_address_2": "string",
"zip": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"listing_id": "string",
"available_date": "2024-07-29T15:51:28.071Z",
"bathrooms": "string",
"bedrooms": "string",
"building_name": "string",
"city": "string",
"country": "string",
"deposit_amount_in_cents": 0,
"floor": "string",
"is_available": true,
"is_vacant": true,
"lease_term": "string",
"notes": "string",
"rent_amount_in_cents": 0,
"state": "string",
"street_address_1": "string",
"street_address_2": "string",
"zip": "string"
}
}